(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     62403,       1481]
NotebookOptionsPosition[     60166,       1441]
NotebookOutlinePosition[     60558,       1457]
CellTagsIndexPosition[     60515,       1454]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Assignment 3, Q4, numerical solution of TISE", "Section",
 CellChangeTimes->{{3.899622069064502*^9, 3.899622085587371*^9}, 
   3.899628256433084*^9},ExpressionUUID->"7bc04ecb-1c09-4e2c-b2db-\
a6fa89e3f7f5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Npts", ":=", "256"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nstates", ":=", "Npts"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Lmin", ":=", 
   RowBox[{"-", "7"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Lmax", ":=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", ":=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", ":=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V0", ":=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hbar", ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vinf", ":=", "1000"}], ";"}]}], "Input",
 CellChangeTimes->{{3.899622089212001*^9, 3.8996222185781307`*^9}, 
   3.8996223523885317`*^9, {3.899622431267106*^9, 3.899622434850268*^9}, {
   3.899625007181662*^9, 3.8996250155412493`*^9}, {3.899630770788499*^9, 
   3.8996307708965483`*^9}},ExpressionUUID->"d96df9ff-437b-4d5a-8d0c-\
b601bc69232c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dx", ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Lmax", "-", "Lmin"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"Npts", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xpos", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Lmin", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"nn", "-", "1"}], ")"}], " ", "dx"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vofx", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"xpos", "[", 
           RowBox[{"[", "nn", "]"}], "]"}], "<", 
          RowBox[{"-", "a"}]}], " ", "||", " ", 
         RowBox[{
          RowBox[{"xpos", "[", 
           RowBox[{"[", "nn", "]"}], "]"}], ">", "b"}]}], ",", "Vinf", ",", 
        "0"}], "]"}], "+", 
      StyleBox[
       RowBox[{"INSERT", " ", "STEP", " ", "HERE"}],
       FontColor->RGBColor[1, 0, 0]]}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.899622223365663*^9, 3.8996222237953444`*^9}, {
  3.899622330449094*^9, 3.899622346351935*^9}, {3.899622383196496*^9, 
  3.899622481222477*^9}, {3.899622514577979*^9, 3.8996225345132236`*^9}, {
  3.899628863559155*^9, 3.899628866716559*^9}, {3.899631170099539*^9, 
  3.899631171964314*^9}},ExpressionUUID->"b568e0c1-848e-4e8a-87f1-\
4d62930ca5b3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"D2dxmat", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"DiagonalMatrix", "[", 
       RowBox[{
        RowBox[{"ConstantArray", "[", 
         RowBox[{"1", ",", 
          RowBox[{"Npts", "-", "1"}]}], "]"}], ",", "1"}], "]"}], "+", 
      RowBox[{"MISSING", " ", "PIECE"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"DiagonalMatrix", "[", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"1", ",", "Npts"}], "]"}], "]"}]}]}], ")"}], "/", 
    SuperscriptBox["dx", "2"]}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "this", " ", "should", " ", "be", " ", "a", " ", "very", " ", "crude", 
     " ", "discretisation", " ", "of", " ", "the", " ", "Laplacian"}], ",", 
    " ", 
    RowBox[{
    "similar", " ", "to", " ", "example", " ", "10.", " ", "But", " ", "it", 
     " ", "is", " ", "missing", " ", "a", " ", 
     RowBox[{"piece", ".", " ", "Add"}], " ", "that"}], ",", " ", 
    RowBox[{
    "but", " ", "do", " ", "not", " ", "erase", " ", "what", " ", "is", " ", 
     "there"}]}], "*)"}], 
  RowBox[{"Hmat", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox["hbar", "2"], 
       RowBox[{"2", " ", "m"}]]}], "D2dxmat"}], " ", "+", " ", 
    RowBox[{"DiagonalMatrix", "[", "Vofx", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Hmat", "=", 
   RowBox[{"N", "[", "Hmat", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8996225299845257`*^9, 3.899622603276466*^9}, {
  3.899622644731002*^9, 3.8996226946175623`*^9}, {3.8996227794781513`*^9, 
  3.899622822869417*^9}, {3.899623128104288*^9, 3.8996231308711157`*^9}, {
  3.899628906571755*^9, 
  3.899628932268593*^9}},ExpressionUUID->"c992c40e-4621-462c-b724-\
f332e06e123d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"esyst", "=", 
   RowBox[{"Eigensystem", "[", "Hmat", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"statepick", ":=", "2"}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"defaults", " ", "to", " ", "ground"}], "-", "state"}], ",", " ", 
    RowBox[{
    "increase", " ", "index", " ", "to", " ", "plot", " ", "higher", " ", 
     "states"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"energy", "=", 
   RowBox[{
    RowBox[{"esyst", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"Npts", "-", "statepick"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<energy: \>\"", ",", "energy"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{
    RowBox[{"esyst", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"Npts", "-", "statepick"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"norm", " ", "=", " ", 
   RowBox[{"Sum", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"state", "[", 
       RowBox[{"[", "nn", "]"}], "]"}], "2"], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<test normalisation: \>\"", ",", "norm"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rescale", "=", "5"}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{
   "adjust", " ", "just", " ", "to", " ", "make", " ", "plot", " ", "look", 
    " ", "good"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"potplot", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xpos", "[", 
        RowBox[{"[", "nn", "]"}], "]"}], ",", 
       RowBox[{"Vofx", "[", 
        RowBox[{"[", "nn", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eplot", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xpos", "[", 
        RowBox[{"[", "nn", "]"}], "]"}], ",", "energy"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stateplot", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xpos", "[", 
        RowBox[{"[", "nn", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"state", "[", 
          RowBox[{"[", "nn", "]"}], "]"}], "rescale"}], "+", "energy"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"potplot", ",", "Eplot", ",", "stateplot"}], "}"}], ",", 
   RowBox[{"PlotRange", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.5"}], " ", "V0"}], ",", 
      RowBox[{"3", " ", "V0"}]}], "}"}]}], ",", " ", 
   RowBox[{"Joined", "->", " ", "True"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<V,\[Phi],E\>\"", ",", "Bold", ",", "16"}], "]"}]}], 
     "}"}]}], " ", ",", 
   RowBox[{"PlotLegends", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<V(x)\>\"", ",", "\"\<\!\(\*SubscriptBox[\(E\), \(n\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[Phi]\), \(n\)]\)\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8996228392207727`*^9, 3.899622859598736*^9}, {
   3.899623448488356*^9, 3.899623510975664*^9}, 3.899623565107758*^9, {
   3.89962400378223*^9, 3.899624054218791*^9}, {3.89962409133187*^9, 
   3.899624156288163*^9}, {3.899624212513987*^9, 3.8996242492963457`*^9}, {
   3.8996243921522512`*^9, 3.8996244824534807`*^9}},
 CellLabel->
  "In[227]:=",ExpressionUUID->"2013f148-34fc-4289-8736-65e7a26dde48"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"energy: \"\>", "\[InvisibleSpace]", "1.4616630953720282`"}],
  SequenceForm["energy: ", 1.4616630953720282`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.899624119374*^9, 3.899624157048259*^9}, {
  3.8996242129532347`*^9, 3.899624249848822*^9}, {3.899624394117045*^9, 
  3.899624482698307*^9}},
 CellLabel->
  "During evaluation of \
In[227]:=",ExpressionUUID->"732bfdf7-ec70-4bda-9ba0-e587b71dc029"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"test normalisation: \"\>", "\[InvisibleSpace]", "1.`"}],
  SequenceForm["test normalisation: ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{{3.899624119374*^9, 3.899624157048259*^9}, {
  3.8996242129532347`*^9, 3.899624249848822*^9}, {3.899624394117045*^9, 
  3.89962448269977*^9}},
 CellLabel->
  "During evaluation of \
In[227]:=",ExpressionUUID->"9ccf3c63-1fae-43fe-a195-f4d03080f4b6"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxd031E3HEcB/DfrlbXra6HnZn+SJ2cSSaTJHP9ZLZqK3OSbJOea0klpzLZ
nJyZmclJJslkkpacysnJLTmTStLjSk5yPTo7d3XnnKbv9/rc+8eOc17ue/f7
PLy/aTVtunqZIAjF7M0/lVn6osaxu7+E0EstnngDPdrhsAVh2dkx++ah5Mnt
88t3c0mwabHu0bcXkrus+62WvUT49UT5+GazZO3w6rE3kACr+wrTkz5Jjuqd
r8q6L3njVJ83VBoPD640TP1pUcK15orMe5/j4Iz+4h+6sVjY0/045evvOzBr
ZmDJqYANYmqCPFJyEavmiToGZl/KDKIc3uHtV0bDoXZ6ouBGVl3O4G2YP61j
NhL2sV9PbkfAXOeXMthY8P3lA5XkEg2f8C1YpeAnBNiy5+q07v+zhf1sZK0p
O/kK3mqeeTVRHoTr2bY0pgB8wde96odD44/1wXwafYUXMK9OYfTA7DBbmRv+
YHP89Qdd8FDp6Pqp/gwOxcN1BO+yaa00HMJuf/Dqvc0Bs+Xaa8w78Nvs5C9P
R9bg52zbZRl2WPlx4aA99+f/zr+RXKTzMP0fTM+DqR6Y6oWpH5j6hWkeMM0L
pnnCNG+Y9gHTvmDaJ0z7hikPMOUFpjyJYVPeYMojTHmFKc8w5R2m+wDTfYHp
PsGW6pTO6Zaw1eI1L2E7SQ==
         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxd1QlIlEEUwPFt28zMzMzMLKQkJCQiQiJCHIko7SIk7CTC0g6iwuwgpJKw
iAgRiQgJCYmIEpMIEQmLELtEpENLRMK0TCTz2kSMvple/4FZkOUn334z896b
9xZlH8/M8ft8voven/7+91nw7FHG5dbf2UH19dfZlPji+fhll/6H9YMPR57s
qozDxY36AeuTtXuW3XwzD283P7BefXvLvXe9sTjevMDaX5i2MDLUuidPv3Au
fn1gxa1NidaVWXqBGFySvjjq6lrrU2bBOXjn0phrDdnWKWYD0dhbPOAvtA6Y
DVl/HxorSC2fjd926w1aV7X2jZx7GoVLX+kNW5+p6zhW0z4L7zYHsE4tb/42
NBaJE8yBrEMuPd+3PNb6fW++d8KZuKwp9/GnoxF4f/UO78QzcNKNDXcz74fj
QZ3uxunYpK87DJt0BKwzdHgTpmETrrRQ3KaPv3cqNscpCMEHvd2tLJuC9Wp5
tQE86v26qnUy1uob8eOiNXe2Lom23pyoIzwJR4fpJ3y4pr3/dF3Hn/r/Xl/R
cig5bgJ/1OWcNY5zdHmVjuFhne7mIDbhDx/FOhol6cNY7y6saBB7D3spG8AX
6jt/Bsf7sbkO+T+wKY/+HvzZi1ZTbhceCI5PnK/vxKacq9vw4eS46+sqWvBG
L9vbkhpwxJUXX06seuhaOc8r533KWU85+1HOfpVzHuWcVznxUE68lBNP5cRb
OflQTr6Uk0/l5BtLPWCpFyz1lObUG5Z6xFKvWOoZS71juQ9Y7guW+4TlvmG5
j1juK5b7jOW+Y+kHWPoFln6Cpd9g6UdY+hWWfoal32Hph1j6JZZ+iqXfYunH
WPo1ln6Opd9jmQdY5gWWeYJl3mCZR1jmFZZ5hmXeYZmHWOYllnmKZd5imcdY
5jWWeY5l3uO/rApV6A==
         "]]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.007333333333333334], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJw9lQs0VHkcx8eMHkhNnhMl2Z62IketWvn/t1SyKdm2VluRiW0mlaKsovRQ
RM0WvQxKqKMitt01OPb+7fZcHNuSWIREnuvtzphm2nvv/O+dc+bM+cz53/v/
Pb/fWQEHfQL5PB4vmvrSv7rPdFTtfe6NMoAE7wd+dLWRWSNTiY5ftNJ/WKOo
ch0/eC39dXuOFVogiWVY9pw+YIX2WMsYDi3csfh62TSU0HOf4W3MA9PQ4DGb
WppXpG68V9UpQp1ntXU02zAvECGXnBctNPNPQVvhRBHKV8zmqyhuP0y/0BLF
DV2OpfmvPU43N8y1REX9n35TU5yzlb7AAi3XVjzTF5Pgssdskzh3C5Tel7HP
nuIjzIXmyJxILH9Gse9Ci/inAeYofkXBPu8gErgyAZihRaHOxvUhJKAu1+ef
MkOxAoPrWSkk0GcCMkMnfs7sk/koQceQKtLtlil6cNTnlPtaNShvowM0RR53
R2+nWmjBozfdI8dKTJCvpmMO/1seTHxJB2yCDmUWtsSE6cHw4sYDBfVTUfDM
Es8MPz78nklgKspxyHPkTRZAt1uVH4ZUQsQ7IGmRRgigHZOQEHk/Px9lkiaA
48+U+juKhGjgku/D7GMCWN0ZRmU4BQV0iEMPCwVQXhH0uC54MqqbUffUScyH
4vzvqIyNkVHueGeTCD1of9Uzyyd7Elo6Uja4ezsPDtLtfm6Etje4hNyx0wKm
fW2GiG9b7zLrGzVg2qFviO6vKb5W6acE6+ny2hmgjRueJJ0WjwCmXHAiuhPX
1eMfMQhq6fR3TUA9mb7La8P7AJNO5Hi02k+WZxPbBX6golsmH4cu2MbVRXi3
A/q2w4X6qMYg+Ut38h0YpZ5+9EaATqeKTw4kNwOaukf4yPVltnYw/S2IWZXu
Pd+Mj1ymrLSw93wLvObSFdZDxn53vKpEzcDMkD7BQzeuVKfFf/YOFNT3Hi1u
1BKOwWdWPXRqA+syXu11ttIQmza1rRPbd4Iaepy3qolkh3kX5O29IJAer0QV
0V0kk9qlDYBhut2VJHEtj/xjf9QwYMo/aZSINhc0CcNJQFfjsscwEa82ddMc
HAN0dIYxg0SCn6TR3ksDqMNUy/qJW6s8Jl0a/gROEk19pLqXWK0smc2fpweZ
dQjrIppMDJot7fiQGY/edmK073ZZyjs+/JeqVkVQK9G1zMGyaLcA9pNqzQmi
iZDWKVB3sgAy45xfS1SUpmYtSBBAibPVxbUZr4g1h6o+qpYK4NdUt7fYPyUi
n3hfCZbz4eTzf7aEuDwk5KIJfdpSPZZBiOK2VJrPY8+DlH73//zTPwH8PpDZ
ftynerEW4PtAl3+g/xbNR4DjAdMzK6ce0fsIcLwgzdkxu2yJGuB8QFDQE1nS
uTGA8wWR/WXjJCoVWw/QnC1v1ItRsfUCtsnWpP4cFVtPcPGXz2/Uv1ay9QYp
TW6mPyUp2X6ABNe9ofm7lGy/gMNXChtXJyXbT+CvWCM7Z6xk+w3civylS/pI
dh5AVF72Tqsakp0X8LvRZvfNpSQ7T7AhTL5wSh7JzhssNCr+kJtOsvMIc2PL
G+5eJdl5hb5D9a1n4kl2nmF08WPy/WmSnXfY+A+8Gn6cZPcBZlVUZQ2Hkey+
wF0LFDUzDpLsPkGHbfnuxRKS3Te4f74w8OYekt1HmLvw5oydlL7hfYUdivdj
QorxPsOCXoN7Wkov8b5D0Y7klWMUYz2A05sUi2h9xXoBJ3yxtofWY6wncLnm
bAPNWG/g/WlFjJ5jPYLpAX8zeo/1Cg7MvMEw1jPYmnSBYax30NPnPMNYD2FA
nM5fsF7Ccb46xnoKd3vpGOstTPTUMdZj+GG9jrFewxLMWM/hY8xY72E+ZuwH
MA8z9guOsZ9wjP2GY+xHHGO/4hj7GcfY7zjGfsgx9kuOsZ9yjP2WY+zHHGO/
5hj7OcfY7zn+HxCiCAk=
         "]]}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox[
        StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
       
       FormBox[
        StyleBox["\"V,\[Phi],E\"", Bold, 16, StripOnInput -> False], 
        TraditionalForm]}, AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
     Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           Identity[
            Part[#, 1]], 
           Identity[
            Part[#, 2]]}& )}}, PlotRange -> {{-7., 7.}, {-1.5, 9}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"V(x)\"", "\"\\!\\(\\*SubscriptBox[\\(E\\), \\(n\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Phi]\\), \\(n\\)]\\)\""}, "PointLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.8996244532387257`*^9, 3.89962448274498*^9}},
 CellLabel->
  "Out[236]=",ExpressionUUID->"5b398082-2dd0-47d8-b474-59c274dcd12e"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Now compare with your analytical solutions", "Subsection",
 CellChangeTimes->{{3.899624506043297*^9, 
  3.899624524097672*^9}},ExpressionUUID->"89f04343-223c-423e-b0d9-\
1a6ccaca4409"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"one", " ", "E"}], "<", "V0"}], "*)"}]], "Input",
 CellChangeTimes->{{3.899627247791963*^9, 
  3.899627252822483*^9}},ExpressionUUID->"ea3d4cd8-9a84-4113-ad70-\
a2147feb7b76"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"statepick", ":=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", "=", 
   RowBox[{
    RowBox[{"esyst", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"Npts", "-", "statepick"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energy", "=", 
   RowBox[{
    RowBox[{"esyst", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"Npts", "-", "statepick"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eanal", "=", "1.4616"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kanal", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2", " ", "m", " ", "Eanal"}], "]"}], "/", "hbar"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Kappa]anal", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2", " ", "m", " ", 
      RowBox[{"(", 
       RowBox[{"V0", "-", "Eanal"}], ")"}]}], "]"}], "/", "hbar"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CC", ":=", 
   RowBox[{"kanal", " ", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"kanal", " ", "a"}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"\[Kappa]anal", " ", 
       RowBox[{"Cosh", "[", 
        RowBox[{
         RowBox[{"-", "\[Kappa]anal"}], " ", "b"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]anal", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"IMPLEMENT", " ", "YOUR", " ", "SOLUTION", " ", "HERE"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.899624941857629*^9, 3.899624990801572*^9}, {
   3.899625030764553*^9, 3.8996251776844397`*^9}, {3.8996253610804043`*^9, 
   3.899625368205099*^9}, {3.899627395273919*^9, 3.899627413173223*^9}, {
   3.899627540604093*^9, 3.899627540833013*^9}, 
   3.899629013856224*^9},ExpressionUUID->"26e1fd9b-90a4-49ff-85b6-\
290730919fc8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"norm", " ", "=", " ", 
   RowBox[{"Sum", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[Phi]anal", "[", 
       RowBox[{"[", "nn", "]"}], "]"}], "2"], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]analnorm", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Phi]anal", "[", 
       RowBox[{"[", "nn", "]"}], "]"}], "/", 
      RowBox[{"Sqrt", "[", "norm", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stateplotanal", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xpos", "[", 
        RowBox[{"[", "nn", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Phi]analnorm", "[", 
          RowBox[{"[", "nn", "]"}], "]"}], "rescale"}], "+", "Eanal"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.899625196095552*^9, 3.899625242033729*^9}},
 CellLabel->
  "In[326]:=",ExpressionUUID->"7177be72-bed7-4b5c-beb2-9e20ddcd242d"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"stateplot", ",", "stateplotanal"}], "}"}], ",", 
   RowBox[{"Joined", "->", " ", "True"}], ",", 
   RowBox[{"PlotRange", "->", " ", "All"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[Phi]\>\"", ",", "Bold", ",", "16"}], "]"}]}], "}"}]}], 
   ",", 
   RowBox[{"PlotLegends", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[Phi]\), \(num\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[Phi]\), \(ana\)]\)\>\""}], "}"}]}]}], " ", 
  "]"}]], "Input",
 CellChangeTimes->{{3.899625219226104*^9, 3.89962527101703*^9}, {
  3.899625403025279*^9, 3.899625434560416*^9}},
 CellLabel->
  "In[329]:=",ExpressionUUID->"89988e7b-d4f7-4c2e-823f-b783a6ee5344"],

Cell[BoxData[
 TemplateBox[{"", 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(\[Phi]\\), \\(num\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Phi]\\), \\(ana\\)]\\)\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Input",
 CellChangeTimes->{{3.899629018731338*^9, 
  3.899629018738399*^9}},ExpressionUUID->"ff1d6aa1-21a4-42b1-8937-\
8831c0b2362f"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"and", " ", "another", " ", "E"}], ">", "V0"}], "*)"}]], "Input",
 CellChangeTimes->{{3.899627247791963*^9, 
  3.899627259507957*^9}},ExpressionUUID->"3a440f9a-1724-48fd-ab52-\
f94e316f938c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"statepick", ":=", "8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state", ":=", 
   RowBox[{
    RowBox[{"esyst", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"Npts", "-", "statepick"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"energy", ":=", 
   RowBox[{
    RowBox[{"esyst", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"Npts", "-", "statepick"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stateplot", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xpos", "[", 
        RowBox[{"[", "nn", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"state", "[", 
          RowBox[{"[", "nn", "]"}], "]"}], "rescale"}], "+", "energy"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eanal", ":=", "7.263758572137654`"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kanal", ":=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2", " ", "m", " ", "Eanal"}], "]"}], "/", "hbar"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kprimeanal", ":=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2", " ", "m", " ", 
      RowBox[{"(", 
       RowBox[{"Eanal", "-", "V0"}], ")"}]}], "]"}], "/", "hbar"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CC", ":=", "  ", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"kanal", " ", "a"}], "]"}], "/", 
    RowBox[{"(", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"-", "kprimeanal"}], " ", "b"}], "]"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]anal", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"IMPLEMENT", " ", "YOUR", " ", "SOLUTION", " ", "HERE"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.899624941857629*^9, 3.899624990801572*^9}, {
   3.899625030764553*^9, 3.8996251776844397`*^9}, {3.8996253610804043`*^9, 
   3.899625368205099*^9}, {3.89962729325237*^9, 3.8996273461127443`*^9}, {
   3.899627429129382*^9, 3.8996274545530777`*^9}, {3.899627498487363*^9, 
   3.8996275357934637`*^9}, {3.899627601637673*^9, 3.899627611557993*^9}, 
   3.899627790615119*^9, 3.8996279085697823`*^9, {3.8996281457765617`*^9, 
   3.89962820909359*^9}, {3.8996290025363894`*^9, 
   3.899629005661982*^9}},ExpressionUUID->"aae74d6d-f2e8-460f-9f29-\
be4d5b5d2166"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"norm", " ", "=", " ", 
   RowBox[{"Sum", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[Phi]anal", "[", 
       RowBox[{"[", "nn", "]"}], "]"}], "2"], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]analnorm", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Phi]anal", "[", 
       RowBox[{"[", "nn", "]"}], "]"}], "/", 
      RowBox[{"Sqrt", "[", "norm", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"stateplotanal", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xpos", "[", 
        RowBox[{"[", "nn", "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Phi]analnorm", "[", 
          RowBox[{"[", "nn", "]"}], "]"}], "rescale"}], "+", "Eanal"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.899625196095552*^9, 3.899625242033729*^9}},
 CellLabel->
  "In[509]:=",ExpressionUUID->"761d5a6c-81e9-4e13-8591-86d658faa48f"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"stateplot", ",", "stateplotanal"}], "}"}], ",", 
   RowBox[{"Joined", "->", " ", "True"}], ",", 
   RowBox[{"PlotRange", "->", " ", "All"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[Phi]\>\"", ",", "Bold", ",", "16"}], "]"}]}], "}"}]}], 
   ",", 
   RowBox[{"PlotLegends", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(\[Phi]\), \(num\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[Phi]\), \(ana\)]\)\>\""}], "}"}]}]}], " ", 
  "]"}]], "Input",
 CellChangeTimes->{{3.899625219226104*^9, 3.89962527101703*^9}, {
  3.899625403025279*^9, 3.899625434560416*^9}},
 CellLabel->
  "In[512]:=",ExpressionUUID->"2bea5d10-1307-402c-ac39-ffe1315cc9a2"],

Cell[BoxData[
 TemplateBox[{"", 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(\[Phi]\\), \\(num\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Phi]\\), \\(ana\\)]\\)\""}, 
      "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.007333333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Input",
 CellChangeTimes->{{3.8996290214726562`*^9, 
  3.89962902147853*^9}},ExpressionUUID->"f46ed3c7-02ad-45d7-a977-\
6538537022b3"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1187, 990},
WindowMargins->{{Automatic, 14}, {Automatic, 0}},
FrontEndVersion->"12.3 for Mac OS X x86 (64-bit) (July 9, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"375bc730-f274-4e07-aa61-54003c8d8478"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 212, 3, 122, "Section",ExpressionUUID->"7bc04ecb-1c09-4e2c-b2db-a6fa89e3f7f5"],
Cell[795, 27, 1043, 26, 500, "Input",ExpressionUUID->"d96df9ff-437b-4d5a-8d0c-b601bc69232c"],
Cell[1841, 55, 1605, 47, 212, "Input",ExpressionUUID->"b568e0c1-848e-4e8a-87f1-4d62930ca5b3"],
Cell[3449, 104, 1774, 47, 546, "Input",ExpressionUUID->"c992c40e-4621-462c-b724-f332e06e123d"],
Cell[CellGroupData[{
Cell[5248, 155, 4060, 119, 936, "Input",ExpressionUUID->"2013f148-34fc-4289-8736-65e7a26dde48"],
Cell[CellGroupData[{
Cell[9333, 278, 457, 10, 54, "Print",ExpressionUUID->"732bfdf7-ec70-4bda-9ba0-e587b71dc029"],
Cell[9793, 290, 447, 10, 54, "Print",ExpressionUUID->"9ccf3c63-1fae-43fe-a195-f4d03080f4b6"]
}, Open  ]],
Cell[10255, 303, 19586, 399, 353, "Output",ExpressionUUID->"5b398082-2dd0-47d8-b474-59c274dcd12e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29878, 707, 190, 3, 83, "Subsection",ExpressionUUID->"89f04343-223c-423e-b0d9-1a6ccaca4409"],
Cell[30071, 712, 227, 6, 67, "Input",ExpressionUUID->"ea3d4cd8-9a84-4113-ad70-a2147feb7b76"],
Cell[30301, 720, 1997, 60, 404, "Input",ExpressionUUID->"26e1fd9b-90a4-49ff-85b6-290730919fc8"],
Cell[32301, 782, 1273, 40, 264, "Input",ExpressionUUID->"7177be72-bed7-4b5c-beb2-9e20ddcd242d"],
Cell[33577, 824, 926, 24, 212, "Input",ExpressionUUID->"89988e7b-d4f7-4c2e-823f-b783a6ee5344"],
Cell[34506, 850, 10269, 215, 127, InheritFromParent,ExpressionUUID->"ff1d6aa1-21a4-42b1-8937-8831c0b2362f"],
Cell[44778, 1067, 243, 6, 67, "Input",ExpressionUUID->"3a440f9a-1724-48fd-ab52-f94e316f938c"],
Cell[45024, 1075, 2636, 77, 596, "Input",ExpressionUUID->"aae74d6d-f2e8-460f-9f29-be4d5b5d2166"],
Cell[47663, 1154, 1273, 40, 264, "Input",ExpressionUUID->"761d5a6c-81e9-4e13-8591-86d658faa48f"],
Cell[48939, 1196, 926, 24, 212, "Input",ExpressionUUID->"2bea5d10-1307-402c-ac39-ffe1315cc9a2"],
Cell[49868, 1222, 10270, 215, 127, InheritFromParent,ExpressionUUID->"f46ed3c7-02ad-45d7-a977-6538537022b3"]
}, Open  ]]
}, Open  ]]
}
]
*)

